/*
 * CFile1.c
 *
 * Created: 07/07/2014 23:35:13
 *  Author: Ricardo
 */ 

#include <avr/io.h>

void ADC_init()
{
	ADMUX |= (1<<REFS0) | (1<<ADLAR); // AVCC as reference voltage, value left adjusted; comment ADLAR for full 10 bit
	ADCSRA |= (1<<ADPS2) | (1<<ADEN) | (1<<ADSC); // prescaler set to 16, enable ADC, free-running mode, start conversion
}

uint8_t ADC_read(uint8_t c) // should be uint16_t if working with 10 bit values
{
	ADMUX &= 0xF0; // clear the older channel
	ADMUX |= c; // select the channel
	ADCSRA |= (1<<ADSC); // start conversion
	while(ADCSRA & (1<<ADSC)); // wait until ADC conversion is completed
	return ADCH; // 8 bit only
	//return ADCW; // 10 bit value
}