/*
 * CFile1.c
 *
 * Created: 07/07/2014 16:09:21
 *  Author: Ricardo
 */ 

#include <avr/io.h>
#include "SPI.h"
#include <avr/interrupt.h>

void SPI_init(void)
{
	// Set SS, MOSI, SCK as Output
	DDRB |= (1<<PB5)|(1<<PB3)|(1<<PB2);

	// Enable SPI, Set as Master, Prescaler: Fosc/2
	SPCR |= (1<<SPE) | (1<<MSTR) | (1<<SPI2X);
	
	SS_HIGH;
}

unsigned char SPI_data(unsigned char data)
{
	// Load data into the buffer
	SPDR = data;

	//Wait until transmission complete
	while(~(SPSR)&(1<<SPIF));

	// Return received data
	return(SPDR);
}